org.keycloak.protocol.saml

## Class JaxrsSAML2BindingBuilder.RedirectBindingBuilder

- java.lang.Object
- - org.keycloak.saml.BaseSAML2BindingBuilder.BaseRedirectBindingBuilder
  - - org.keycloak.protocol.saml.JaxrsSAML2BindingBuilder.RedirectBindingBuilder

- Enclosing class:
    JaxrsSAML2BindingBuilder

      public static class JaxrsSAML2BindingBuilder.RedirectBindingBuilder
      extends BaseSAML2BindingBuilder.BaseRedirectBindingBuilder

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.BaseSAML2BindingBuilder.BaseRedirectBindingBuilder

      `builder, document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectBindingBuilder(JaxrsSAML2BindingBuilder builder, Document document)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `request(String redirect)`
    `javax.ws.rs.core.Response` | `response(String redirectUri)`

    - ### Methods inherited from class org.keycloak.saml.BaseSAML2BindingBuilder.BaseRedirectBindingBuilder

      `generateURI, getDocument, requestURI, responseURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedirectBindingBuilder

          public RedirectBindingBuilder(JaxrsSAML2BindingBuilder builder,
                                        Document document)
                                 throws ProcessingException

      Throws:
        `ProcessingException`

  - ### Method Detail

    - #### response

          public javax.ws.rs.core.Response response(String redirectUri)
                                             throws ProcessingException,
                                                    ConfigurationException,
                                                    IOException

      Throws:
        `ProcessingException`
        `ConfigurationException`
        `IOException`

    - #### request

          public javax.ws.rs.core.Response request(String redirect)
                                            throws ProcessingException,
                                                   ConfigurationException,
                                                   IOException

      Throws:
        `ProcessingException`
        `ConfigurationException`
        `IOException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.